Page MenuHomePhabricator

APISandbox: We are already here
Closed, ResolvedPublic

Description

See this screenshot from the english wikipedia sandbox:

This landing page embedds the API documentation, but is it possible to hide the link for testing? We are already at the sandbox...

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2018, 9:13 PM
Anomie claimed this task.Jan 29 2018, 2:36 PM
Anomie added a subscriber: Anomie.

We could wrap the paragraph in a class and use CSS to hide it easily enough. Anything else would require more significant code changes that probably aren't worth the trouble.

Change 406590 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Hide link to ApiSandbox in ApiSandbox

https://gerrit.wikimedia.org/r/406590

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Jan 29 2018, 2:36 PM

Change 406590 merged by jenkins-bot:
[mediawiki/core@master] Hide link to ApiSandbox in ApiSandbox

https://gerrit.wikimedia.org/r/406590

Anomie closed this task as Resolved.Jan 30 2018, 1:57 AM